Summary: Lets users configure procmail or maildrop rules.
%define name smeserver-mailsorting
Name: %{name}
%define version 1.2
%define release 14
Version: %{version}
Release: %{release}%{?dist}
License: GPL
URL: http://www.dungog.net/sme
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-mailsorting-1.2-maildropdups.patch
Patch1: smeserver-mailsorting-1.2-esLocale.patch
Patch2: smeserver-mailsorting-1.2-frLocale3.patch
Patch3: smeserver-mailsorting-1.2-pootle.patch
Patch4: smeserver-mailsorting-1.2-locale-2008-03-11.patch
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
Requires:  e-smith-release >= 7.0,
Requires: perl-Unicode-IMAPUtf7
Requires: e-smith-formmagick >= 1.4.0-10
#Requires:  smeserver-userpanel, userpanel causes endless problems
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no

%description
SME Server enhancement to enable procmail or maildrop filtering for users.
Optionally provides user panels where users can create mail rules for themselves

%changelog
* Wed Mar 12 2008 Shad L. Lords <slords@mail.com> - 1.2-14
- Add requires for e-smith-formmagick for UTF-8 support [SME: 3858]

* Tue Mar 11 2008 Stephen Noble <support@dungog.net> - 1.2-13
- Add 2008-03-11 locale patch

* Sat Mar 07 2008 Stephen Noble <support@dungog.net> - 1.2-12
- prepare en lexicons for pootle translations

* Tue Dec 25 2007 Stephen Noble <support@dungog.net> 1.2-11
- french translation fix

* Tue Dec 25 2007 Stephen Noble <support@dungog.net> 1.2-10
- add french translation, thanks Sylvain Gomez

* Mon Oct 29 2007 Stephen Noble <support@dungog.net> 1.2-9
- add spanish translation, thanks Normando Hall [SME 3503]

* Sun Jul 29 2007 Stephen Noble <support@dungog.net> 1.2-8
- Add Requires perl-Unicode-IMAPUtf7 [SME: 3218]

* Thu Jul 05 2007 Stephen Noble <support@dungog.net> 1.2-7
- touch processmail db, thanks dclarke

* Wed Jun 13 2007 Stephen Noble <stephen@dungog.net> 1.2-6
- add global maildrop delete duplicate db value

* Wed Jun 13 2007 Stephen Noble <stephen@dungog.net>
- update .tar.gz to current version

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Sat Mar 17 2007 Stephen Noble <stephen@dungog.net>
- retry mail in .qmail [sme 2733]
- [1.2-5]

* Wed Feb 28 2007 Stephen Noble <stephen@dungog.net>
- remove Requires: smeserver-userpanel
- [1.2-4]

* Tue Jan 9 2007 Stephen Noble <support@dungog.net>
- remove .* after TO_ macro [sme 2264]
- Existing mail folders search improved [sme 2265]
- [1.2-3]

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Mon Oct 30 2006  Stephen Noble <support@dungog.net>
- improved german support, thanks Dietmar
- Unicode-IMAPUtf7 support [sme 1446]
- [1.2-2]

* Sat Oct 21 2006 Stephen Noble <support@dungog.net>
- FormMagick version
- [1.2-1]

* Thu Aug 24 2006 Stephen Noble <support@dungog.net>
- remove strict check on mailrule criterion [sme 1643]
- fix log rotation
- maildrop matching improved, [sme 1642]
- allow for spaces in folder names for maildrop [sme 1640]
- [0.9-6]

* Sat May 6 2006 Stephen Noble <support@dungog.net>
- default shell for maildrop set to /bin/bash 
-  [contribs 1378] thanks mweinber neddix.de
- [0.9-5]

* Wed Apr 6 2006 Stephen Noble <support@dungog.net>
- delete duplicates 
-  globally enabled for procmail, works ok
-  per user for maildrop, worked ok for user A, but started deleting mail for user B
- [0.9-4]

* Thu Mar 9 2006 Stephen Noble <support@dungog.net>
- remove preun actions
- [0.9-3]

* Thu Mar 9 2006 Stephen Noble <support@dungog.net>
- Requires:  smeserver-userpanel
- bypass admin's .qmail
- [0.9-2]

* Sun Sep 25 2005  Stephen Noble <support@dungog.net>
- initial release
- [0.9-1]

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
perl createlinks

LEXICONS=$(find root/etc/e-smith/{locale/,web/functions/} -type f )
for lexicon in $LEXICONS
do
    /sbin/e-smith/validate-lexicon $lexicon
done

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun

%post
#new installs
if [ $1 = 1 ] ; then
 echo ' '
 echo 'http://www.dungog.net/wiki/Smeserver-mailsorting#Configuration'
fi

#upgrades (and new installs)
/bin/touch /home/e-smith/db/processmail
/sbin/e-smith/signal-event mailsorting-conf
if [ -d /etc/e-smith/events/conf-userpanel ] ; then
   /sbin/e-smith/signal-event conf-userpanel
fi

%postun
#uninstall
if [ $1 = 0 ] ; then

echo ''
echo 'to disable procmail or maildrop'
echo 'config delprop qmail FilterType'
echo 'signal-event email-update'
echo ''

 DBS=`find /home/e-smith/db/navigation -type f -name "navigation.*"`
 for db in $DBS ; do
          /sbin/e-smith/db $db delete userpanel-mailsort 2>/dev/null
	done
fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
